Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 234176 - sci-geosciences/merkaartor-0.11 does not compile with qt < 4.4
Summary: sci-geosciences/merkaartor-0.11 does not compile with qt < 4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Hanno Böck
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-07 12:52 UTC by kavol
Modified: 2008-09-18 08:14 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kavol 2008-08-07 12:52:27 UTC
Hi,

there has to be something rotten ...

/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lQtWebKit
collect2: ld returned 1 exit status
make: *** [/var/tmp/portage/sci-geosciences/merkaartor-0.11/work/merkaartor/binaries/debug/bin/merkaartor] Error 1


looking into ebuild:

DEPEND="|| ( ( x11-libs/qt-webkit:4 x11-libs/qt-gui:4 ) =x11-libs/qt-4.3* )"

I have qt-4.3.3 so the =x11-libs/qt-4.3* part is not sufficient ...

looking into docs:

2.1 Yahoo imagery

If you want Yahoo imagery and your QT is < 4.4:

$ qmake All.pro

If your QT is >= 4.4

$ qmake Merkaartor.pro NOWEBKIT=1

You don't need Yahoo imagery

$ qmake Merkaartor.pro NOUSEWEBKIT=1


and back into ebuild:

       eqmake4 Merkaartor.pro PREFIX=/usr || die "qmake failed"


... guess this explains it ;-)

Reproducible: Always




this patch works for me both with and without "webkit" flag set ...

--- merkaartor-0.11.ebuild.old  2008-08-07 02:21:14.000000000 +0200
+++ merkaartor-0.11.ebuild      2008-08-07 14:31:01.000000000 +0200
@@ -12,14 +12,23 @@
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="nls"
-DEPEND="|| ( ( x11-libs/qt-webkit:4 x11-libs/qt-gui:4 ) =x11-libs/qt-4.3* )"
+IUSE="nls webkit"
+DEPEND="|| ( x11-libs/qt-gui:4  =x11-libs/qt-4.3* )
+       webkit? ( || ( x11-libs/qt-webkit:4 =x11-libs/qt-4.3* ) )"
 S="${WORKDIR}/${PN}"

 src_compile() {
        use nls && lrelease Merkaartor.pro || die "lrelease failed"
-       eqmake4 Merkaartor.pro PREFIX=/usr || die "qmake failed"
-       emake || die "make failed"
+       if use webkit ; then
+               if has_version "=x11-libs/qt-4.3*"; then
+                       eqmake4 All.pro PREFIX=/usr || die "qmake failed"
+               else
+                       eqmake4 Merkaartor.pro NOWEBKIT=1 PREFIX=/usr || die "qmake failed"
+               fi
+       else
+               eqmake4 Merkaartor.pro NOUSEWEBKIT=1 PREFIX=/usr || die "qmake failed"
+       fi
+       make || die "make failed"
 }

 src_install() {
Comment 1 Hanno Böck gentoo-dev 2008-09-16 20:56:13 UTC
We now have qt 4.4 unmasked, I think we don't need any support for old stuff. I'll change the deps to only 4.4 and let webkit enabled, don't think we need an extra useflag for this.
Comment 2 kavol 2008-09-17 07:55:16 UTC
(In reply to comment #1)
> We now have qt 4.4 unmasked, I think we don't need any support for old
> stuff. I'll change the deps to only 4.4

ok

I am not quite happy with it, since I did not manage to upgrade my system to 4.4 yet, but I can live with it :-)

(well, how long does it take from packages appearing in the tree to have everything working with them? - these are ages now ...)

> and let webkit enabled, don't think we need an extra useflag for this.

the choices are one of the advantages of Gentoo ... but I do not see omitting this one as much harm

the reason why I reopen this is that according to docs, "NOWEBKIT=1" should be used to force using the Webkit provided by Qt installation - which corresponds to a comment within Merkaartor.pro:

# NOWEBKIT            - disable building of own WebKit

and since Gentoo policy is not to use bundled libraries when a copy is available systemwide, and since depending on qt-webkit would be useless if an internal copy is to be used, I think this parameter should be set

sorry for bugzilla noise if I get it wrong, as I said before I have no qt-4.4 installation to check what really happens, and I am not so good in reading makefiles to just see it from the source and be 100% sure
Comment 3 Hanno Böck gentoo-dev 2008-09-18 07:32:57 UTC
Please open new bugs for new issues.

But beside, I think this is not an issue, my merkaartor is linked against system qt-webkit. It probably detects if qt-webkit is available and uses that, and as we have a system qt-webkit as a dep, everything should be fine.
Comment 4 kavol 2008-09-18 08:14:22 UTC
ok, as I said I haven't a chance to check - thankyou for looking into this